Virtual Private Cloud API

Introduction With the IBM Cloud® Virtual Private Cloud VPC API, you can programmatically provision and manage resources that are part of the IBM VPC Infrastructure as a Service IaaS across compute, storage, and networking. For more information on the IBM Cloud® Virtual Private Cloud and VPC resources, see Getting started with Virtual Private Cloud VPChttps://cloud.ibm.com/docs/vpc?topic=vpc-getting-started. SDKs SDKs for Java, Node, Python, and Go are available for this API. The client libraries that are provided by the SDKs implement best practices for using the API and reduce the amount of code that you need to write. The tab for each language includes references for using the client libraries. To learn about using IBM Cloud® Virtual Private Cloud, see: - Getting started with IBM Cloud VPChttps://cloud.ibm.com/docs/vpc?topic=vpc-getting-started - Setting up your API and CLI environmenthttps://cloud.ibm.com/docs/vpc?topic=vpc-set-up-environment&interface=api - Creating VPC resources with CLI and APIhttps://cloud.ibm.com/docs/vpc?topic=vpc-creating-vpc-resources-with-cli-and-api&interface=api This documentation describes the Go SDKhttps://github.com/IBM/vpc-go-sdk/. For information about the latest Go SDK, see Releaseshttps://github.com/IBM/vpc-go-sdk/releases. For instructions and examples on using IBM Cloud services in an IBM Cloud SDK client library, see Using the SDKhttps://github.com/IBM/ibm-cloud-sdk-common/blob/main/README.mdusing-the-sdk. This documentation describes the Java SDKhttps://github.com/IBM/vpc-java-sdk. For information about the latest Java SDK, see Releaseshttps://github.com/IBM/vpc-java-sdk/releases. For instructions and examples on using IBM Cloud services in an IBM Cloud SDK client library, see Using the SDKhttps://github.com/IBM/ibm-cloud-sdk-common/blob/main/README.mdusing-the-sdk. This documentation describes the Node SDKhttps://github.com/IBM/vpc-node-sdk. For information about the latest Node SDK, see Releaseshttps://github.com/IBM/vpc-node-sdk/releases. For instructions and examples on using IBM Cloud services in an IBM Cloud SDK client library, see Using the SDKhttps://github.com/IBM/ibm-cloud-sdk-common/blob/main/README.mdusing-the-sdk. This documentation describes the Python SDKhttps://github.com/IBM/vpc-python-sdk. For information about the latest Python SDK, see Releaseshttps://github.com/IBM/vpc-python-sdk/releases. For instructions and examples on using IBM Cloud services in an IBM Cloud SDK client library, see Using the SDKhttps://github.com/IBM/ibm-cloud-sdk-common/blob/main/README.mdusing-the-sdk. For installation instructions and other information, view the project on GitHub: https://github.com/IBM/vpc-go-sdk/https://github.com/IBM/vpc-go-sdk/. See also Using the SDKhttps://github.com/IBM/ibm-cloud-sdk-common/blob/main/README.mdusing-the-sdk. For installation instructions and other information, view the project on GitHub: https://github.com/IBM/vpc-java-sdk/https://github.com/IBM/vpc-java-sdk/. See also Using the SDKhttps://github.com/IBM/ibm-cloud-sdk-common/blob/main/README.mdusing-the-sdk. For installation instructions and other information, view the project on GitHub: https://github.com/IBM/vpc-node-sdk/https://github.com/IBM/vpc-node-sdk/. See also Using the SDKhttps://github.com/IBM/ibm-cloud-sdk-common/blob/main/README.mdusing-the-sdk. For installation instructions and other information, view the project on GitHub: https://github.com/IBM/vpc-python-sdk/https://github.com/IBM/vpc-python-sdk/. See also the Python client library for IBM Cloud VPC Services https://pypi.org/project/ibm-vpc/https://pypi.org/project/ibm-vpc/ and Using the SDKhttps://github.com/IBM/ibm-cloud-sdk-common/blob/main/README.mdusing-the-sdk. Endpoint URLs The IBM Cloud VPC API is available in the following IBM Cloud® regions: | Location | Region | Public endpoint service URL | Private endpoint service URL | |--------------------------|------------|------------------------------------------|--------------------------------------------------| | Australia Sydney | au-syd | https://au-syd.iaas.cloud.ibm.com/v1 | https://au-syd.private.iaas.cloud.ibm.com/v1 | | Brazil São Paulo | br-sao | https://br-sao.iaas.cloud.ibm.com/v1 | https://br-sao.private.iaas.cloud.ibm.com/v1 | | Canada Montreal | ca-mon | https://ca-mon.iaas.cloud.ibm.com/v1 | https://ca-mon.private.iaas.cloud.ibm.com/v1 | | Canada Toronto | ca-tor | https://ca-tor.iaas.cloud.ibm.com/v1 | https://ca-tor.private.iaas.cloud.ibm.com/v1 | | Germany Frankfurt | eu-de | https://eu-de.iaas.cloud.ibm.com/v1 | https://eu-de.private.iaas.cloud.ibm.com/v1 | | Spain Madrid | eu-es | https://eu-es.iaas.cloud.ibm.com/v1 | https://eu-es.private.iaas.cloud.ibm.com/v1 | | United Kingdom London | eu-gb | https://eu-gb.iaas.cloud.ibm.com/v1 | https://eu-gb.private.iaas.cloud.ibm.com/v1 | | India Chennai | in-che | https://in-che.iaas.cloud.ibm.com/v1 | https://in-che.private.iaas.cloud.ibm.com/v1 | | India Mumbai | in-mum | https://in-mum.iaas.cloud.ibm.com/v1 | https://in-mum.private.iaas.cloud.ibm.com/v1 | | Japan Osaka | jp-osa | https://jp-osa.iaas.cloud.ibm.com/v1 | https://jp-osa.private.iaas.cloud.ibm.com/v1 | | Japan Tokyo | jp-tok | https://jp-tok.iaas.cloud.ibm.com/v1 | https://jp-tok.private.iaas.cloud.ibm.com/v1 | | US East Washington DC | us-east | https://us-east.iaas.cloud.ibm.com/v1 | https://us-east.private.iaas.cloud.ibm.com/v1 | | US South Dallas | us-south | https://us-south.iaas.cloud.ibm.com/v1 | https://us-south.private.iaas.cloud.ibm.com/v1 | See also Locations for resource deploymenthttps://cloud.ibm.com/docs/overview?topic=overview-locations. To call the API, select the service URL that corresponds to the region of your choice and add a method path to form the complete request URL. For example, to list all images available in the us-south region, make a GET request to https://us-south.iaas.cloud.ibm.com/v1/images. To change the SDK service URL, reinstantiate the service instance with a different region-specific URL. For more information, see Using the SDKhttps://github.com/IBM/ibm-cloud-sdk-common/blob/main/README.mdusing-the-sdk. Example request to call the us-south service URL: sh curl -H "Authorization: Bearer {token}" -X {httpmethod} "https://us-south.iaas.cloud.ibm.com/v1{path}" Replace {token}, {httpmethod}, and {path} in this example with the values for your particular request. Default service URL: text https://us-south.iaas.cloud.ibm.com/v1 Example to change the service URL to the United Kingdom region: go authenticator := &core.IamAuthenticator{ ApiKey: "{apikey}", } // Get the service URL for the specified region serviceURL, := vpcv1.GetServiceURLForRegion"eu-gb" options := &vpcv1.VpcV1Options{ Authenticator: authenticator, URL: serviceURL, } For more information, see Using the SDKhttps://github.com/IBM/ibm-cloud-sdk-common/blob/main/README.mdusing-the-sdk. Default service URL: text https://us-south.iaas.cloud.ibm.com/v1 Example to change the service URL to the United Kingdom region: java Authenticator authenticator = new IamAuthenticator"{apikey}"; Vpc service = new VpcVpc.DEFAULTSERVICENAME, authenticator; service.setServiceUrlVpc.getServiceUrlForRegion"eu-gb"; For more information, see Using the SDKhttps://github.com/IBM/ibm-cloud-sdk-common/blob/main/README.mdusing-the-sdk. Default service URL: text https://us-south.iaas.cloud.ibm.com/v1 Example to change the service URL to the United Kingdom region: javascript const options = { authenticator: new IamAuthenticator{ apikey: '{apikey}' }, serviceUrl: VpcV1.getServiceUrlForRegion"eu-gb", }; const service = new VpcV1options; For more information, see Using the SDKhttps://github.com/IBM/ibm-cloud-sdk-common/blob/main/README.mdusing-the-sdk. Default service URL: text https://us-south.iaas.cloud.ibm.com/v1 Example to change the service URL to the United Kingdom region: python from ibmvpc import VpcV1 from ibmcloudsdkcore.authenticators import IAMAuthenticator authenticator = IAMAuthenticator'apikey' service = VpcV1authenticator=authenticator service.setserviceurlVpcV1.getserviceurlforregion"eu-gb" For more information, see Using the SDKhttps://github.com/IBM/ibm-cloud-sdk-common/blob/main/README.mdusing-the-sdk. Authentication The IBM Cloud VPC API uses Identity and Access Management IAMhttps://cloud.ibm.com/docs/account?topic=account-iamoverview to authenticate requests. To call each API method, you must be assigned a role that includes the required IAM actions. Each method has an Authorization section that lists the required actions and, if applicable, the conditions under which each action is required. Check your access on the IBM Cloud consolehttps://cloud.ibm.com/login by navigating to Usershttps://cloud.ibm.com/iam/users User Access. For more information about IAM actions and how they map to roles, see Assigning access to account management serviceshttps://cloud.ibm.com/docs/account?topic=account-account-services&interface=api and Managing IAM access for VPC Infrastructure Serviceshttps://cloud.ibm.com/docs/vpc?topic=vpc-iam-getting-started&interface=api. Learn about obtaining an IAM token for an authenticated user or service ID in the IAM Identity Services APIhttps://cloud.ibm.com/apidocs/iam-identity-token-api. If you first create an API keyhttps://cloud.ibm.com/docs/account?topic=account-userapikey&interface=apicreateuserkey-api, you can use it to generate an IAM tokenhttps://cloud.ibm.com/docs/account?topic=account-iamtokenfromapikey. To use the API, add a valid IAM token to the HTTP Authorization request header. For example, -H 'Authorization: Bearer {token}'. To retrieve your access token: sh curl -X POST \ "https://iam.cloud.ibm.com/identity/token" \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Accept: application/json' \ --data-urlencode 'granttype=urn:ibm:params:oauth:grant-type:apikey' \ --data-urlencode 'apikey={apikey}' To use the API, replace {token} in the following example request with the token obtained from IAM in the previous request. Also replace {httpmethod} with an HTTP method such as POST, and replace {url} with a request URL such as https://us-south.iaas.cloud.ibm.com/v1/keys: sh curl -H "Authorization: Bearer {token}" -X {httpmethod} "{url}" When you use the SDK, configure an IAM authenticator with the IAM API keyhttps://cloud.ibm.com/docs/account?topic=account-userapikey&interface=apicreateuserkey-api. The authenticator automatically obtains the IAM access token for the API key and includes it with each request. You can construct an authenticator in either of two ways: - Programmatically, by constructing an IAM authenticator instance and supplying your IAM API key. - Externally, in configuration options that are then used by the SDK to construct an IAM authenticator at run time. Provide external configuration options by either: - Storing the configuration options in environment variables. When you initialize the service client, the SDK constructs the authenticator by reading the configuration properties directly from the environment variables. - Saving the configuration options in a file. When you initialize the service client, the SDK constructs the authenticator by reading the configuration properties from the file specified by the IBMCREDENTIALSFILE environment variable. In this example of using external configuration properties, an IAM authenticator instance is created with the configured API key, and then the service client is constructed with this authenticator instance and the configured service URL. For more information, see the Authentication section in the IBM Cloud SDK Commonhttps://github.com/IBM/ibm-cloud-sdk-common/blob/main/README.mdauthentication documentation. Outside of development and testing, never hard-code secrets such as IAM API keys into a client application. Setting client options programmatically Construct the service client programmatically, where {apikey} is your hardcoded IAM API keyhttps://cloud.ibm.com/docs/account?topic=account-userapikey&interface=apicreateuserkey-api: go import { "github.com/IBM/go-sdk-core/v5/core" "github.com/IBM/vpc-go-sdk/vpcv1" } // Create an IAM authenticator. authenticator := &core.IamAuthenticator{ ApiKey: "{apikey}", } // Construct an "options" struct for creating the service client. options := &vpcv1.VpcV1Options{ Authenticator: authenticator, // required URL: "https://us-east.iaas.cloud.ibm.com/v1", // optional } // Construct the service client. vpcService, err := vpcv1.NewVpcV1options if err = nil { panicerr } Service operations can now be invoked using the vpcService variable. Setting client options through environment variables Export environment variables to implement service client options, where {serviceurl} is an endpoint URL for the service and {apikey} is an IAM API keyhttps://cloud.ibm.com/docs/account?topic=account-userapikey&interface=apicreateuserkey-api. sh export VPCURL={serviceurl} export VPCAUTHTYPE=iam export VPCAPIKEY={apikey} Construct the service client using external configuration. vpcv1.NewVpcV1UsingExternalConfig initializes the client with the environment variables, using them for subsequent authentication. go vpcService, err := vpcv1.NewVpcV1UsingExternalConfig Setting client options through a credentials file Store credentials in a file such as my-credentials.env, where {serviceurl} is an endpoint URL for the service and {apikey} is an IAM API keyhttps://cloud.ibm.com/docs/account?topic=account-userapikey&interface=apicreateuserkey-api. sh VPCURL={serviceurl} VPCAUTHTYPE=iam VPCAPIKEY={apikey} Export the name of the file with an environment variable, where {credentialfilepath} is the absolute path to your credentials file, such as "$HOME/secrets/vpc-credentials.env". sh export IBMCREDENTIALSFILE={credentialfilepath} Construct the service client using external configuration. vpcv1.NewVpcV1UsingExternalConfig initializes with the defined credential file, using it for subsequent authentication. go vpcService, err := vpcv1.NewVpcV1UsingExternalConfig Setting client options programmatically Construct the service client programmatically, where {apikey} is your hardcoded IAM API key. java import com.ibm.cloud.is.vpc.v1.Vpc; import com.ibm.cloud.sdk.core.security.Authenticator; import com.ibm.cloud.sdk.core.security.IamAuthenticator; // Create an IAM authenticator. Authenticator authenticator = new IamAuthenticator.Builder .apikey"{apikey}" .build; // Construct the service client. Vpc service = new VpcVpc.DEFAULTSERVICENAME, authenticator; // Set our custom service URL optional. service.setServiceUrl"https://us-east.iaas.cloud.ibm.com/v1"; Setting client options through environment variables Export environment variables to implement service client options, where {serviceurl} is an endpoint URL for the service and {apikey} is an IAM API keyhttps://cloud.ibm.com/docs/account?topic=account-userapikey&interface=apicreateuserkey-api. sh export VPCURL={serviceurl} export VPCAUTHTYPE=iam export VPCAPIKEY={apikey} Construct the service client using external configuration. Vpc.newInstance initializes the client with the environment variables, using them for subsequent authentication. java import com.ibm.cloud.is.vpc.v1.Vpc; Vpc service = Vpc.newInstance; Setting client options through a credentials file Store credentials in a file such as my-credentials.env, where {serviceurl} is an endpoint URL for the service and {apikey} is an IAM API keyhttps://cloud.ibm.com/docs/account?topic=account-userapikey&interface=apicreateuserkey-api. sh VPCURL={serviceurl} VPCAUTHTYPE=iam VPCAPIKEY={apikey} Export the name of the file with an environment variable, where {credentialfilepath} is the absolute path to your credentials file, such as "$HOME/secrets/vpc-credentials.env". sh export IBMCREDENTIALSFILE={credentialfilepath} Construct the service client using external configuration. Vpc.newInstance initializes with the defined credential file, using it for subsequent authentication. java import com.ibm.cloud.is.vpc.v1.Vpc; Vpc service = Vpc.newInstance; Setting client options programmatically Construct the service client programmatically, where {apikey} is your hardcoded IAM API key. javascript const VpcV1 = require'vpc-node-sdk/vpc/v1'; const { IamAuthenticator } = require'vpc-node-sdk/auth'; // Create an IAM authenticator. const authenticator = new IamAuthenticator{ apikey: '{apikey}', }; // Construct the service client. const vpcService = new VpcV1{ authenticator, // required serviceUrl: 'https://us-east.iaas.cloud.ibm.com/v1', // optional }; Setting client options through environment variables Export environment variables to implement service client options, where {serviceurl} is an endpoint URL for the service and {apikey} is an IAM API keyhttps://cloud.ibm.com/docs/account?topic=account-userapikey&interface=apicreateuserkey-api. sh export VPCURL={serviceurl} export VPCAUTHTYPE=iam export VPCAPIKEY={apikey} Construct the service client using external configuration. VpcV1.newInstance initializes the client with the environment variables, using them for subsequent authentication. javascript const VpcV1 = require'vpc-node-sdk/vpc/v1'; const vpcService = VpcV1.newInstance; Setting client options through a credentials file Store credentials in a file such as my-credentials.env, where {serviceurl} is an endpoint URL for the service and {apikey} is an IAM API keyhttps://cloud.ibm.com/docs/account?topic=account-userapikey&interface=apicreateuserkey-api. sh VPCURL={serviceurl} VPCAUTHTYPE=iam VPCAPIKEY={apikey} Export the name of the file with an environment variable, where {credentialfilepath} is the absolute path to your credentials file, such as "$HOME/secrets/vpc-credentials.env". sh export IBMCREDENTIALSFILE={credentialfilepath} Construct the service client using external configuration. VpcV1.newInstance initializes with the defined credential file, using it for subsequent authentication. javascript const VpcV1 = require'vpc-node-sdk/vpc/v1'; const vpcService = VpcV1.newInstance; Setting client options programmatically Construct the service client, where {apikey} is your hardcoded IAM API key python from ibmvpc import VpcV1 from ibmcloudsdkcore.authenticators import IAMAuthenticator Create an IAM authenticator. authenticator = IAMAuthenticator'{apikey}' Construct the service client. service = VpcV1authenticator=authenticator Set custom service URL optional service.setserviceurl'https://us-east.iaas.cloud.ibm.com/v1' Setting client options through environment variables Export environment variables to implement service client options, where {serviceurl} is an endpoint URL for the service and {apikey} is an IAM API keyhttps://cloud.ibm.com/docs/account?topic=account-userapikey&interface=apicreateuserkey-api. sh export VPCURL={serviceurl} export VPCAUTHTYPE=iam export VPCAPIKEY={apikey} Construct the service client using external configuration. VpcV1.newinstance initializes the client with the environment variables, using them for subsequent authentication. python from ibmvpc import VpcV1 service = VpcV1.newinstance Setting client options through a credentials file Store credentials in a file such as my-credentials.env, where {serviceurl} is an endpoint URL for the service and {apikey} is an IAM API keyhttps://cloud.ibm.com/docs/account?topic=account-userapikey&interface=apicreateuserkey-api. sh VPCURL={serviceurl} VPCAUTHTYPE=iam VPCAPIKEY={apikey} Export the name of the file with an environment variable, where {credentialfilepath} is the absolute path to your credentials file, such as "$HOME/secrets/vpc-credentials.env". sh export IBMCREDENTIALSFILE={credentialfilepath} Construct the service client using external configuration. VpcV1.newinstance initializes with the defined credential file, using it for subsequent authentication. python from ibmvpc import VpcV1 service = VpcV1.newinstance Authorization Access to VPC infrastructure resources is managed through IAMhttps://cloud.ibm.com/docs/account?topic=account-iamoverview. IAM provides the ability to manage resources through resource groupshttps://cloud.ibm.com/docs/vpc?topic=vpc-iam-getting-started&interface=apiiam-resource-groups and access management tagshttps://cloud.ibm.com/docs/vpc?topic=vpc-iam-getting-started&interface=apiiam-access-management-tags. For more information, see Managing IAM access for VPC Infrastructure Serviceshttps://cloud.ibm.com/docs/vpc?topic=vpc-iam-getting-started. Auditing IBM Cloud services, such as IBM Cloud VPC, generate activity tracking events. Activity tracking events report on activities that change the state of resources in IBM Cloud and also report on certain activities that do not change any state, such as attempts to access and update resources. You can use the events to investigate abnormal activity and critical actions and to comply with regulatory audit requirements. Monitor API activity within your account by using IBM Cloud Activity Tracker Event Routing, a platform service, to route auditing events to destinations of your choice. Configure targets and routes that define where activity tracking events are sent. Each time you make an API call, one or more events are generated that you can track and audit. Specific event types are listed for each method that generates auditing events. For methods that don't list any events, no events are generated. For more information, see About IBM Cloud Activity Tracker Event Routinghttps://cloud.ibm.com/docs/atracker?topic=atracker-about and Activity tracking events for IBM Cloud VPChttps://cloud.ibm.com/docs/vpc?topic=vpc-atevents&interface=ui. You can also use IBM Cloud Logs to visualize and alert on events that are generated in your account and routed by IBM Cloud Activity Tracker Event Routing to an IBM Cloud Logs instance. For more information, see Getting started with IBM Cloud Logshttps://cloud.ibm.com/docs/cloud-logs?topic=cloud-logs-getting-started. Error handling This API uses standard HTTP response codes to indicate the outcome of a request. A 4xx-series response indicates a failure that the client must resolve. A 5xx-series response indicates a service failure. | HTTP Error Code | Description | Recovery | |------------------|-------------|-------------| | 400 | Bad Request | The input parameters in the request body are either incomplete, malformed, or too large. Be sure to include all required parameters in your request.| | 401 | Unauthorized | You are not authorized to make this request. Log in to IBM Cloud and try submitting the request again. If this error persists, contact the account owner to check your permissions.| | 403 | Forbidden | The supplied authentication is not authorized to perform the requested operation. Either you do not have valid access through IAM access policies or your request is denied due to the context-based restriction policyhttps://cloud.ibm.com/docs/vpc?topic=vpc-cbr. If this error persists, contact the account owner to check your permissions.| | 404 | Not Found | The requested resource could not be found but may be available in the future. | | 405 | Method Not Allowed | The requested resource does not support the request method. | | 406 | Not Acceptable | The resource the client requested is not available in a format allowed by the Accept header supplied by the client. | | 408 | Request Timeout | The connection to the server timed out. Wait a few minutes, and try submitting the request again. | | 409 | Conflict | The request cannot be completed because of a conflict between the request and the current state of the resource. | | 412 | Precondition Failed | The client specified one or more preconditions in its headers, and the server cannot meet those preconditions. | | 426 | Upgrade Required | The server refuses to perform the request using the current protocol but might perform the request after the client upgrades to a different protocol. | | 500 | Internal Server Error | The request cannot be processed because the client encountered an unexpected condition on the server. Wait a few minutes and try submitting the request again. If this error persists, contact IBM Support. | | 501 | Not Implemented | The server either does not recognize the request method, or it lacks the ability to fulfill the request.| | 502 | Bad Gateway | The server was acting as a gateway or proxy and received an invalid response from the upstream server.| | 503 | Service Unavailable | The server cannot process the request. Generally, this condition is temporary, such as when a server is overloaded or down for scheduled maintenance. This condition could also be due to an unplanned outage of a service that is needed to process the request. Wait a few minutes and try submitting the request again. If this error persists, contact IBM Support.| | 504 | Gateway Timeout | The server was acting as a gateway or proxy and did not receive a timely response from the upstream server.| | 505 | HTTP Version Not Supported | The server does not support the HTTP protocol version that is used in the request. | If the server is unable to perform any part of the requested operation, the entire operation will fail, resulting in no observable change to any of the resources. For example, if a PATCH request is made to change two properties, but the caller is not authorized to change one of the properties, the request will fail with 403 Unauthorized, and the resource will be unchanged. Similarly, if a GET /volumes request is made to retrieve all the caller's volumes in the region, but one of the volumes is using a beta feature that cannot be expressed through the GA API schema, the entire request will fail, resulting in no volumes being returned. Because the 500 Internal Server Error and 408 Request Timeout HTTP status codes may be generated by entities between your client and the server such as a reverse proxy, it is possible that the server successfully processed your client's request, but that your client still received 500 or 408 from one of these entities. Therefore, when processing those status codes in response to a DELETE, PATCH, POST, or PUT request, you must not assume the request failed. Error handling example: go import "github.com/IBM/vpc-go-sdk/vpcv1" // Instantiate a service vpcService, vpcServiceErr := vpcv1.NewVpcV1options // Check for errors if vpcServiceErr = nil { panicvpcServiceErr } // Call a method listVpcsOptions := &vpcv1.ListVpcsOptions{} vpcs, , err := vpcService.ListVpcslistVpcsOptions // Check for errors if err = nil { panicerr } Error handling example: java try { // Invoke an operation Response

MethodPathSummary
GET/backup_policiesList backup policies
POST/backup_policiesCreate a backup policy
GET/backup_policies/{backup_policy_id}/jobsList jobs for a backup policy
GET/backup_policies/{backup_policy_id}/jobs/{id}Retrieve a backup policy job
GET/backup_policies/{backup_policy_id}/plansList plans for a backup policy
POST/backup_policies/{backup_policy_id}/plansCreate a plan for a backup policy
DELETE/backup_policies/{backup_policy_id}/plans/{id}Delete a backup policy plan
GET/backup_policies/{backup_policy_id}/plans/{id}Retrieve a backup policy plan
PATCH/backup_policies/{backup_policy_id}/plans/{id}Update a backup policy plan
DELETE/backup_policies/{id}Delete a backup policy
GET/backup_policies/{id}Retrieve a backup policy
PATCH/backup_policies/{id}Update a backup policy
GET/bare_metal_server/capacitiesList capacities for bare metal servers
GET/bare_metal_server/profilesList bare metal server profiles
GET/bare_metal_server/profiles/{name}Retrieve a bare metal server profile
GET/bare_metal_serversList bare metal servers
POST/bare_metal_serversCreate a bare metal server
GET/bare_metal_servers/{bare_metal_server_id}/consoleRetrieve the console WebSocket for a bare metal server
POST/bare_metal_servers/{bare_metal_server_id}/console_access_tokenCreate a console access token for a bare metal server
GET/bare_metal_servers/{bare_metal_server_id}/disksList disks on a bare metal server
GET/bare_metal_servers/{bare_metal_server_id}/disks/{id}Retrieve a bare metal server disk
PATCH/bare_metal_servers/{bare_metal_server_id}/disks/{id}Update a bare metal server disk
GET/bare_metal_servers/{bare_metal_server_id}/network_attachmentsList network attachments on a bare metal server
POST/bare_metal_servers/{bare_metal_server_id}/network_attachmentsCreate a network attachment on a bare metal server
DELETE/bare_metal_servers/{bare_metal_server_id}/network_attachments/{id}Delete a bare metal server network attachment
GET/bare_metal_servers/{bare_metal_server_id}/network_attachments/{id}Retrieve a bare metal server network attachment
PATCH/bare_metal_servers/{bare_metal_server_id}/network_attachments/{id}Update a bare metal server network attachment
GET/bare_metal_servers/{bare_metal_server_id}/network_interfacesList network interfaces on a bare metal server
POST/bare_metal_servers/{bare_metal_server_id}/network_interfacesCreate a network interface on a bare metal server
DELETE/bare_metal_servers/{bare_metal_server_id}/network_interfaces/{id}Delete a bare metal server network interface
GET/bare_metal_servers/{bare_metal_server_id}/network_interfaces/{id}Retrieve a bare metal server network interface
PATCH/bare_metal_servers/{bare_metal_server_id}/network_interfaces/{id}Update a bare metal server network interface
GET/bare_metal_servers/{bare_metal_server_id}/network_interfaces/{network_interface_id}/floating_ipsList floating IPs associated with a bare metal server network interface
DELETE/bare_metal_servers/{bare_metal_server_id}/network_interfaces/{network_interface_id}/floating_ips/{id}Disassociate a floating IP from a bare metal server network interface
GET/bare_metal_servers/{bare_metal_server_id}/network_interfaces/{network_interface_id}/floating_ips/{id}Retrieve associated floating IP
PUT/bare_metal_servers/{bare_metal_server_id}/network_interfaces/{network_interface_id}/floating_ips/{id}Associate a floating IP with a bare metal server network interface
GET/bare_metal_servers/{bare_metal_server_id}/network_interfaces/{network_interface_id}/ipsList the primary reserved IP for a bare metal server network interface
GET/bare_metal_servers/{bare_metal_server_id}/network_interfaces/{network_interface_id}/ips/{id}Retrieve the primary reserved IP
DELETE/bare_metal_servers/{id}Delete a bare metal server
GET/bare_metal_servers/{id}Retrieve a bare metal server
PATCH/bare_metal_servers/{id}Update a bare metal server
POST/bare_metal_servers/{id}/firmware/updateUpdate firmware for a bare metal server
GET/bare_metal_servers/{id}/initializationRetrieve initialization configuration for a bare metal server
PUT/bare_metal_servers/{id}/initializationReinitialize a bare metal server
POST/bare_metal_servers/{id}/restartRestart a bare metal server
POST/bare_metal_servers/{id}/startStart a bare metal server
POST/bare_metal_servers/{id}/stopStop a bare metal server
GET/cluster_network/profilesList cluster network profiles
GET/cluster_network/profiles/{name}Retrieve a cluster network profile
GET/cluster_networksList cluster networks
POST/cluster_networksCreate a cluster network
GET/cluster_networks/{cluster_network_id}/interfacesList cluster network interfaces
POST/cluster_networks/{cluster_network_id}/interfacesCreate a cluster network interface
DELETE/cluster_networks/{cluster_network_id}/interfaces/{id}Delete a cluster network interface
GET/cluster_networks/{cluster_network_id}/interfaces/{id}Retrieve a cluster network interface
PATCH/cluster_networks/{cluster_network_id}/interfaces/{id}Update a cluster network interface
GET/cluster_networks/{cluster_network_id}/subnetsList cluster network subnets
POST/cluster_networks/{cluster_network_id}/subnetsCreate a cluster network subnet
GET/cluster_networks/{cluster_network_id}/subnets/{cluster_network_subnet_id}/reserved_ipsList cluster network subnet reserved IPs
POST/cluster_networks/{cluster_network_id}/subnets/{cluster_network_subnet_id}/reserved_ipsCreate a cluster network subnet reserved IP
DELETE/cluster_networks/{cluster_network_id}/subnets/{cluster_network_subnet_id}/reserved_ips/{id}Delete a cluster network subnet reserved IP
GET/cluster_networks/{cluster_network_id}/subnets/{cluster_network_subnet_id}/reserved_ips/{id}Retrieve a cluster network subnet reserved IP
PATCH/cluster_networks/{cluster_network_id}/subnets/{cluster_network_subnet_id}/reserved_ips/{id}Update a cluster network subnet reserved IP
DELETE/cluster_networks/{cluster_network_id}/subnets/{id}Delete a cluster network subnet
GET/cluster_networks/{cluster_network_id}/subnets/{id}Retrieve a cluster network subnet
PATCH/cluster_networks/{cluster_network_id}/subnets/{id}Update a cluster network subnet
DELETE/cluster_networks/{id}Delete a cluster network
GET/cluster_networks/{id}Retrieve a cluster network
PATCH/cluster_networks/{id}Update a cluster
GET/dedicated_host/groupsList dedicated host groups
POST/dedicated_host/groupsCreate a dedicated host group
DELETE/dedicated_host/groups/{id}Delete a dedicated host group
GET/dedicated_host/groups/{id}Retrieve a dedicated host group
PATCH/dedicated_host/groups/{id}Update a dedicated host group
GET/dedicated_host/profilesList dedicated host profiles
GET/dedicated_host/profiles/{name}Retrieve a dedicated host profile
GET/dedicated_hostsList dedicated hosts
POST/dedicated_hostsCreate a dedicated host
GET/dedicated_hosts/{dedicated_host_id}/disksList disks on a dedicated host
GET/dedicated_hosts/{dedicated_host_id}/disks/{id}Retrieve a dedicated host disk
PATCH/dedicated_hosts/{dedicated_host_id}/disks/{id}Update a dedicated host disk
DELETE/dedicated_hosts/{id}Delete a dedicated host
GET/dedicated_hosts/{id}Retrieve a dedicated host
PATCH/dedicated_hosts/{id}Update a dedicated host
GET/endpoint_gatewaysList endpoint gateways
POST/endpoint_gatewaysCreate an endpoint gateway
GET/endpoint_gateways/{endpoint_gateway_id}/ipsList reserved IPs bound to an endpoint gateway
DELETE/endpoint_gateways/{endpoint_gateway_id}/ips/{id}Unbind a reserved IP from an endpoint gateway
GET/endpoint_gateways/{endpoint_gateway_id}/ips/{id}Retrieve a reserved IP bound to an endpoint gateway
PUT/endpoint_gateways/{endpoint_gateway_id}/ips/{id}Bind a reserved IP to an endpoint gateway
GET/endpoint_gateways/{endpoint_gateway_id}/resource_bindingsList resource bindings for an endpoint gateway
POST/endpoint_gateways/{endpoint_gateway_id}/resource_bindingsCreate a resource binding for an endpoint gateway
DELETE/endpoint_gateways/{endpoint_gateway_id}/resource_bindings/{id}Delete a resource binding from an endpoint gateway
GET/endpoint_gateways/{endpoint_gateway_id}/resource_bindings/{id}Retrieve an endpoint gateway resource binding
PATCH/endpoint_gateways/{endpoint_gateway_id}/resource_bindings/{id}Update an endpoint gateway resource binding
DELETE/endpoint_gateways/{id}Delete an endpoint gateway
GET/endpoint_gateways/{id}Retrieve an endpoint gateway
PATCH/endpoint_gateways/{id}Update an endpoint gateway
GET/floating_ipsList floating IPs
POST/floating_ipsReserve a floating IP
DELETE/floating_ips/{id}Delete a floating IP
GET/floating_ips/{id}Retrieve a floating IP
PATCH/floating_ips/{id}Update a floating IP
GET/flow_log_collectorsList flow log collectors
POST/flow_log_collectorsCreate a flow log collector
DELETE/flow_log_collectors/{id}Delete a flow log collector
GET/flow_log_collectors/{id}Retrieve a flow log collector
PATCH/flow_log_collectors/{id}Update a flow log collector
GET/regionsList regions
GET/regions/{name}Retrieve a region
GET/regions/{region_name}/zonesList zones in a region
GET/regions/{region_name}/zones/{name}Retrieve a zone
GET/imagesList images
POST/imagesCreate an image
DELETE/images/{id}Delete an image
GET/images/{id}Retrieve an image
PATCH/images/{id}Update an image
GET/images/{id}/bare_metal_server_profilesList bare metal server profiles compatible with an image
POST/images/{id}/deprecateDeprecate an image
GET/images/{id}/instance_profilesList instance profiles compatible with an image
POST/images/{id}/obsoleteObsolete an image
GET/images/{image_id}/export_jobsList export jobs for an image
POST/images/{image_id}/export_jobsCreate an export job for an image
DELETE/images/{image_id}/export_jobs/{id}Delete an image export job
GET/images/{image_id}/export_jobs/{id}Retrieve an image export job
PATCH/images/{image_id}/export_jobs/{id}Update an image export job
GET/operating_systemsList operating systems
GET/operating_systems/{name}Retrieve an operating system
GET/instance_groupsList instance groups
POST/instance_groupsCreate an instance group
DELETE/instance_groups/{id}Delete an instance group
GET/instance_groups/{id}Retrieve an instance group
PATCH/instance_groups/{id}Update an instance group
DELETE/instance_groups/{instance_group_id}/load_balancerDelete an instance group load balancer
GET/instance_groups/{instance_group_id}/managersList managers for an instance group
POST/instance_groups/{instance_group_id}/managersCreate a manager for an instance group
DELETE/instance_groups/{instance_group_id}/managers/{id}Delete an instance group manager
GET/instance_groups/{instance_group_id}/managers/{id}Retrieve an instance group manager
PATCH/instance_groups/{instance_group_id}/managers/{id}Update an instance group manager
GET/instance_groups/{instance_group_id}/managers/{instance_group_manager_id}/actionsList actions for an instance group manager
POST/instance_groups/{instance_group_id}/managers/{instance_group_manager_id}/actionsCreate an instance group manager action
DELETE/instance_groups/{instance_group_id}/managers/{instance_group_manager_id}/actions/{id}Delete specified instance group manager action
GET/instance_groups/{instance_group_id}/managers/{instance_group_manager_id}/actions/{id}Retrieve specified instance group manager action
PATCH/instance_groups/{instance_group_id}/managers/{instance_group_manager_id}/actions/{id}Update specified instance group manager action
GET/instance_groups/{instance_group_id}/managers/{instance_group_manager_id}/policiesList policies for an instance group manager
POST/instance_groups/{instance_group_id}/managers/{instance_group_manager_id}/policiesCreate a policy for an instance group manager
DELETE/instance_groups/{instance_group_id}/managers/{instance_group_manager_id}/policies/{id}Delete an instance group manager policy
GET/instance_groups/{instance_group_id}/managers/{instance_group_manager_id}/policies/{id}Retrieve an instance group manager policy
PATCH/instance_groups/{instance_group_id}/managers/{instance_group_manager_id}/policies/{id}Update an instance group manager policy
DELETE/instance_groups/{instance_group_id}/membershipsDelete memberships from an instance group
GET/instance_groups/{instance_group_id}/membershipsList memberships for an instance group
DELETE/instance_groups/{instance_group_id}/memberships/{id}Delete an instance group membership
GET/instance_groups/{instance_group_id}/memberships/{id}Retrieve an instance group membership
PATCH/instance_groups/{instance_group_id}/memberships/{id}Update an instance group membership
GET/instance/templatesList instance templates
POST/instance/templatesCreate an instance template
DELETE/instance/templates/{id}Delete an instance template
GET/instance/templates/{id}Retrieve an instance template
PATCH/instance/templates/{id}Update an instance template
GET/instance/profilesList instance profiles
GET/instance/profiles/{name}Retrieve an instance profile
GET/instancesList instances
POST/instancesCreate an instance
DELETE/instances/{id}Delete an instance
GET/instances/{id}Retrieve an instance
PATCH/instances/{id}Update an instance
GET/instances/{id}/initializationRetrieve initialization configuration for an instance
POST/instances/{id}/reinitializeReinitialize an instance
POST/instances/{instance_id}/actionsCreate an instance action
GET/instances/{instance_id}/cluster_network_attachmentsList cluster network attachments on an instance
POST/instances/{instance_id}/cluster_network_attachmentsCreate a cluster network attachment
DELETE/instances/{instance_id}/cluster_network_attachments/{id}Delete an instance cluster network attachment
GET/instances/{instance_id}/cluster_network_attachments/{id}Retrieve an instance cluster network attachment
PATCH/instances/{instance_id}/cluster_network_attachments/{id}Update an instance cluster network attachment
GET/instances/{instance_id}/consoleRetrieve the console WebSocket for an instance
POST/instances/{instance_id}/console_access_tokenCreate a console access token for an instance
GET/instances/{instance_id}/disksList disks on an instance
GET/instances/{instance_id}/disks/{id}Retrieve an instance disk
PATCH/instances/{instance_id}/disks/{id}Update an instance disk
GET/instances/{instance_id}/network_attachmentsList network attachments on an instance
POST/instances/{instance_id}/network_attachmentsCreate a network attachment on an instance
DELETE/instances/{instance_id}/network_attachments/{id}Delete an instance network attachment
GET/instances/{instance_id}/network_attachments/{id}Retrieve an instance network attachment
PATCH/instances/{instance_id}/network_attachments/{id}Update an instance network attachment
GET/instances/{instance_id}/network_interfacesList network interfaces on an instance
POST/instances/{instance_id}/network_interfacesCreate a network interface on an instance
DELETE/instances/{instance_id}/network_interfaces/{id}Delete an instance network interface
GET/instances/{instance_id}/network_interfaces/{id}Retrieve an instance network interface
PATCH/instances/{instance_id}/network_interfaces/{id}Update an instance network interface
GET/instances/{instance_id}/network_interfaces/{network_interface_id}/floating_ipsList floating IPs associated with an instance network interface
DELETE/instances/{instance_id}/network_interfaces/{network_interface_id}/floating_ips/{id}Disassociate a floating IP from an instance network interface
GET/instances/{instance_id}/network_interfaces/{network_interface_id}/floating_ips/{id}Retrieve associated floating IP
PUT/instances/{instance_id}/network_interfaces/{network_interface_id}/floating_ips/{id}Associate a floating IP with an instance network interface
GET/instances/{instance_id}/network_interfaces/{network_interface_id}/ipsList the primary reserved IP for an instance network interface
GET/instances/{instance_id}/network_interfaces/{network_interface_id}/ips/{id}Retrieve the primary reserved IP
GET/instances/{instance_id}/software_attachmentsList instance software attachments associated with an instance
GET/instances/{instance_id}/software_attachments/{id}Retrieve an instance software attachment
PATCH/instances/{instance_id}/software_attachments/{id}Update an instance software attachment
GET/instances/{instance_id}/volume_attachmentsList volumes attachments on an instance
POST/instances/{instance_id}/volume_attachmentsCreate a volume attachment on an instance
DELETE/instances/{instance_id}/volume_attachments/{id}Delete a volume attachment
GET/instances/{instance_id}/volume_attachments/{id}Retrieve a volume attachment
PATCH/instances/{instance_id}/volume_attachments/{id}Update a volume attachment
GET/keysList keys
POST/keysCreate a key
DELETE/keys/{id}Delete a key
GET/keys/{id}Retrieve a key
PATCH/keys/{id}Update a key
GET/load_balancer/profilesList load balancer profiles
GET/load_balancer/profiles/{name}Retrieve a load balancer profile
GET/load_balancersList load balancers
POST/load_balancersCreate a load balancer
DELETE/load_balancers/{id}Delete a load balancer
GET/load_balancers/{id}Retrieve a load balancer
PATCH/load_balancers/{id}Update a load balancer
GET/load_balancers/{id}/statisticsList statistics of a load balancer
GET/load_balancers/{load_balancer_id}/listenersList listeners for a load balancer
POST/load_balancers/{load_balancer_id}/listenersCreate a listener for a load balancer
DELETE/load_balancers/{load_balancer_id}/listeners/{id}Delete a load balancer listener
GET/load_balancers/{load_balancer_id}/listeners/{id}Retrieve a load balancer listener
PATCH/load_balancers/{load_balancer_id}/listeners/{id}Update a load balancer listener
GET/load_balancers/{load_balancer_id}/listeners/{listener_id}/policiesList policies for a load balancer listener
POST/load_balancers/{load_balancer_id}/listeners/{listener_id}/policiesCreate a policy for a load balancer listener
DELETE/load_balancers/{load_balancer_id}/listeners/{listener_id}/policies/{id}Delete a load balancer listener policy
GET/load_balancers/{load_balancer_id}/listeners/{listener_id}/policies/{id}Retrieve a load balancer listener policy
PATCH/load_balancers/{load_balancer_id}/listeners/{listener_id}/policies/{id}Update a load balancer listener policy
GET/load_balancers/{load_balancer_id}/listeners/{listener_id}/policies/{policy_id}/rulesList rules of a load balancer listener policy
POST/load_balancers/{load_balancer_id}/listeners/{listener_id}/policies/{policy_id}/rulesCreate a rule for a load balancer listener policy
DELETE/load_balancers/{load_balancer_id}/listeners/{listener_id}/policies/{policy_id}/rules/{id}Delete a load balancer listener policy rule
GET/load_balancers/{load_balancer_id}/listeners/{listener_id}/policies/{policy_id}/rules/{id}Retrieve a load balancer listener policy rule
PATCH/load_balancers/{load_balancer_id}/listeners/{listener_id}/policies/{policy_id}/rules/{id}Update a load balancer listener policy rule
GET/load_balancers/{load_balancer_id}/poolsList pools of a load balancer
POST/load_balancers/{load_balancer_id}/poolsCreate a load balancer pool
DELETE/load_balancers/{load_balancer_id}/pools/{id}Delete a load balancer pool
GET/load_balancers/{load_balancer_id}/pools/{id}Retrieve a load balancer pool
PATCH/load_balancers/{load_balancer_id}/pools/{id}Update a load balancer pool
GET/load_balancers/{load_balancer_id}/pools/{pool_id}/membersList members of a load balancer pool
POST/load_balancers/{load_balancer_id}/pools/{pool_id}/membersCreate a member in a load balancer pool
PUT/load_balancers/{load_balancer_id}/pools/{pool_id}/membersReplace load balancer pool members
DELETE/load_balancers/{load_balancer_id}/pools/{pool_id}/members/{id}Delete a load balancer pool member
GET/load_balancers/{load_balancer_id}/pools/{pool_id}/members/{id}Retrieve a load balancer pool member
PATCH/load_balancers/{load_balancer_id}/pools/{pool_id}/members/{id}Update a load balancer pool member
GET/network_aclsList network ACLs
POST/network_aclsCreate a network ACL
DELETE/network_acls/{id}Delete a network ACL
GET/network_acls/{id}Retrieve a network ACL
PATCH/network_acls/{id}Update a network ACL
GET/network_acls/{network_acl_id}/rulesList rules for a network ACL
POST/network_acls/{network_acl_id}/rulesCreate a rule for a network ACL
DELETE/network_acls/{network_acl_id}/rules/{id}Delete a network ACL rule
GET/network_acls/{network_acl_id}/rules/{id}Retrieve a network ACL rule
PATCH/network_acls/{network_acl_id}/rules/{id}Update a network ACL rule
GET/placement_groupsList placement groups
POST/placement_groupsCreate a placement group
DELETE/placement_groups/{id}Delete a placement group
GET/placement_groups/{id}Retrieve a placement group
PATCH/placement_groups/{id}Update a placement group
GET/private_path_service_gatewaysList private path service gateways
POST/private_path_service_gatewaysCreate a private path service gateway
DELETE/private_path_service_gateways/{id}Delete a private path service gateway
GET/private_path_service_gateways/{id}Retrieve a private path service gateway
PATCH/private_path_service_gateways/{id}Update a private path service gateway
GET/private_path_service_gateways/{private_path_service_gateway_id}/account_policiesList account policies for a private path service gateway
POST/private_path_service_gateways/{private_path_service_gateway_id}/account_policiesCreate an account policy for a private path service gateway
DELETE/private_path_service_gateways/{private_path_service_gateway_id}/account_policies/{id}Delete an account policy for a private path service gateway
GET/private_path_service_gateways/{private_path_service_gateway_id}/account_policies/{id}Retrieve an account policy for a private path service gateway
PATCH/private_path_service_gateways/{private_path_service_gateway_id}/account_policies/{id}Update an account policy for a private path service gateway
GET/private_path_service_gateways/{private_path_service_gateway_id}/endpoint_gateway_bindingsList endpoint gateway bindings for a private path service gateway
GET/private_path_service_gateways/{private_path_service_gateway_id}/endpoint_gateway_bindings/{id}Retrieve an endpoint gateway binding for a private path service gateway
POST/private_path_service_gateways/{private_path_service_gateway_id}/endpoint_gateway_bindings/{id}/denyDeny an endpoint gateway binding for a private path service gateway
POST/private_path_service_gateways/{private_path_service_gateway_id}/endpoint_gateway_bindings/{id}/permitPermit an endpoint gateway binding for a private path service gateway
POST/private_path_service_gateways/{private_path_service_gateway_id}/publishPublish a private path service gateway
POST/private_path_service_gateways/{private_path_service_gateway_id}/revoke_accountRevoke access to a private path service gateway for an account
POST/private_path_service_gateways/{private_path_service_gateway_id}/unpublishUnpublish a private path service gateway
GET/public_address_rangesList public address ranges
POST/public_address_rangesCreate a public address range
DELETE/public_address_ranges/{id}Delete a public address range
GET/public_address_ranges/{id}Retrieve a public address range
PATCH/public_address_ranges/{id}Update a public address range
GET/public_gatewaysList public gateways
POST/public_gatewaysCreate a public gateway
DELETE/public_gateways/{id}Delete a public gateway
GET/public_gateways/{id}Retrieve a public gateway
PATCH/public_gateways/{id}Update a public gateway
GET/reservationsList reservations
POST/reservationsCreate a reservation
DELETE/reservations/{id}Delete a reservation
GET/reservations/{id}Retrieve a reservation
PATCH/reservations/{id}Update a reservation
POST/reservations/{id}/activateActivate a reservation
GET/security_groupsList security groups
POST/security_groupsCreate a security group
DELETE/security_groups/{id}Delete a security group
GET/security_groups/{id}Retrieve a security group
PATCH/security_groups/{id}Update a security group
GET/security_groups/{security_group_id}/rulesList rules in a security group
POST/security_groups/{security_group_id}/rulesCreate a rule for a security group
DELETE/security_groups/{security_group_id}/rules/{id}Delete a security group rule
GET/security_groups/{security_group_id}/rules/{id}Retrieve a security group rule
PATCH/security_groups/{security_group_id}/rules/{id}Update a security group rule
GET/security_groups/{security_group_id}/targetsList targets associated with a security group
DELETE/security_groups/{security_group_id}/targets/{id}Remove a target from a security group
GET/security_groups/{security_group_id}/targets/{id}Retrieve a security group target
PUT/security_groups/{security_group_id}/targets/{id}Add a target to a security group
GET/share/profilesList file share profiles
GET/share/profiles/{name}Retrieve a file share profile
GET/sharesList file shares
POST/sharesCreate a file share
DELETE/shares/{id}Delete a file share
GET/shares/{id}Retrieve a file share
PATCH/shares/{id}Update a file share
GET/shares/{id}/accessor_bindingsList accessor bindings for a file share
DELETE/shares/{share_id}/accessor_bindings/{id}Delete a file share accessor binding
GET/shares/{share_id}/accessor_bindings/{id}Retrieve a file share accessor binding
POST/shares/{share_id}/failoverFailover to replica file share
GET/shares/{share_id}/mount_targetsList mount targets for a file share
POST/shares/{share_id}/mount_targetsCreate a mount target for a file share
DELETE/shares/{share_id}/mount_targets/{id}Delete a file share mount target
GET/shares/{share_id}/mount_targets/{id}Retrieve a file share mount target
PATCH/shares/{share_id}/mount_targets/{id}Update a file share mount target
GET/shares/{share_id}/snapshotsList file share snapshots
POST/shares/{share_id}/snapshotsCreate a snapshot for a file share
DELETE/shares/{share_id}/snapshots/{id}Delete a share snapshot
GET/shares/{share_id}/snapshots/{id}Retrieve a share snapshot
PATCH/shares/{share_id}/snapshots/{id}Update a share snapshot
DELETE/shares/{share_id}/sourceSplit the source file share from a replica file share
GET/shares/{share_id}/sourceRetrieve the source file share for a replica file share
GET/snapshot_consistency_groupsList snapshot consistency groups
POST/snapshot_consistency_groupsCreate a snapshot consistency group
DELETE/snapshot_consistency_groups/{id}Delete a snapshot consistency group
GET/snapshot_consistency_groups/{id}Retrieve a snapshot consistency group
PATCH/snapshot_consistency_groups/{id}Update a snapshot consistency group
DELETE/snapshotsDelete a filtered collection of snapshots
GET/snapshotsList snapshots
POST/snapshotsCreate a snapshot
DELETE/snapshots/{id}Delete a snapshot
GET/snapshots/{id}Retrieve a snapshot
PATCH/snapshots/{id}Update a snapshot
GET/snapshots/{id}/clonesList clones for a snapshot
DELETE/snapshots/{id}/clones/{zone_name}Delete a snapshot clone
GET/snapshots/{id}/clones/{zone_name}Retrieve a snapshot clone
PUT/snapshots/{id}/clones/{zone_name}Create a clone for a snapshot
GET/snapshots/{id}/instance_profilesList instance profiles compatible with a snapshot
GET/subnetsList subnets
POST/subnetsCreate a subnet
DELETE/subnets/{id}Delete a subnet
GET/subnets/{id}Retrieve a subnet
PATCH/subnets/{id}Update a subnet
GET/subnets/{id}/network_aclRetrieve a subnet's attached network ACL
PUT/subnets/{id}/network_aclReplace the network ACL for a subnet
DELETE/subnets/{id}/public_gatewayDetach a public gateway from a subnet
GET/subnets/{id}/public_gatewayRetrieve a subnet's attached public gateway
PUT/subnets/{id}/public_gatewayAttach a public gateway to a subnet
GET/subnets/{id}/routing_tableRetrieve a subnet's attached routing table
PUT/subnets/{id}/routing_tableReplace the routing table for a subnet
GET/subnets/{subnet_id}/reserved_ipsList reserved IPs in a subnet
POST/subnets/{subnet_id}/reserved_ipsReserve an IP in a subnet
DELETE/subnets/{subnet_id}/reserved_ips/{id}Delete a reserved IP
GET/subnets/{subnet_id}/reserved_ips/{id}Retrieve a reserved IP
PATCH/subnets/{subnet_id}/reserved_ips/{id}Update a reserved IP
GET/virtual_network_interfacesList virtual network interfaces
POST/virtual_network_interfacesCreate a virtual network interface
DELETE/virtual_network_interfaces/{id}Delete a virtual network interface
GET/virtual_network_interfaces/{id}Retrieve a virtual network interface
PATCH/virtual_network_interfaces/{id}Update a virtual network interface
GET/virtual_network_interfaces/{virtual_network_interface_id}/floating_ipsList floating IPs associated with a virtual network interface
DELETE/virtual_network_interfaces/{virtual_network_interface_id}/floating_ips/{id}Disassociate a floating IP from a virtual network interface
GET/virtual_network_interfaces/{virtual_network_interface_id}/floating_ips/{id}Retrieve associated floating IP
PUT/virtual_network_interfaces/{virtual_network_interface_id}/floating_ips/{id}Add an association between a floating IP and a virtual network interface
GET/virtual_network_interfaces/{virtual_network_interface_id}/ipsList reserved IPs bound to a virtual network interface
DELETE/virtual_network_interfaces/{virtual_network_interface_id}/ips/{id}Unbind a reserved IP from a virtual network interface
GET/virtual_network_interfaces/{virtual_network_interface_id}/ips/{id}Retrieve bound reserved IP
PUT/virtual_network_interfaces/{virtual_network_interface_id}/ips/{id}Bind a reserved IP to a virtual network interface
GET/volume/profilesList volume profiles
GET/volume/profiles/{name}Retrieve a volume profile
GET/volumesList volumes
POST/volumesCreate a volume
DELETE/volumes/{id}Delete a volume
GET/volumes/{id}Retrieve a volume
PATCH/volumes/{id}Update a volume
GET/volumes/{id}/instance_profilesList instance profiles compatible with a volume
GET/volumes/{volume_id}/jobsList jobs for a volume
POST/volumes/{volume_id}/jobsCreate a job for a volume
DELETE/volumes/{volume_id}/jobs/{id}Delete a volume job
GET/volumes/{volume_id}/jobs/{id}Retrieve a volume job
PATCH/volumes/{volume_id}/jobs/{id}Update a volume job
POST/volumes/{volume_id}/jobs/{id}/cancelCancel a queued or running volume job
GET/vpcsList VPCs
POST/vpcsCreate a VPC
DELETE/vpcs/{id}Delete a VPC
GET/vpcs/{id}Retrieve a VPC
PATCH/vpcs/{id}Update a VPC
GET/vpcs/{id}/default_network_aclRetrieve a VPC's default network ACL
GET/vpcs/{id}/default_routing_tableRetrieve a VPC's default routing table
GET/vpcs/{id}/default_security_groupRetrieve a VPC's default security group
GET/vpcs/{vpc_id}/address_prefixesList address prefixes for a VPC
POST/vpcs/{vpc_id}/address_prefixesCreate an address prefix for a VPC
DELETE/vpcs/{vpc_id}/address_prefixes/{id}Delete an address prefix
GET/vpcs/{vpc_id}/address_prefixes/{id}Retrieve an address prefix
PATCH/vpcs/{vpc_id}/address_prefixes/{id}Update an address prefix
GET/vpcs/{vpc_id}/dns_resolution_bindingsList DNS resolution bindings for a VPC
POST/vpcs/{vpc_id}/dns_resolution_bindingsCreate a DNS resolution binding
DELETE/vpcs/{vpc_id}/dns_resolution_bindings/{id}Delete a DNS resolution binding
GET/vpcs/{vpc_id}/dns_resolution_bindings/{id}Retrieve a DNS resolution binding
PATCH/vpcs/{vpc_id}/dns_resolution_bindings/{id}Update a DNS resolution binding
GET/vpcs/{vpc_id}/routesList routes in a VPC's default routing table
POST/vpcs/{vpc_id}/routesCreate a route in a VPC's default routing table
DELETE/vpcs/{vpc_id}/routes/{id}Delete a VPC route
GET/vpcs/{vpc_id}/routes/{id}Retrieve a VPC route
PATCH/vpcs/{vpc_id}/routes/{id}Update a VPC route
GET/vpcs/{vpc_id}/routing_tablesList routing tables for a VPC
POST/vpcs/{vpc_id}/routing_tablesCreate a routing table for a VPC
DELETE/vpcs/{vpc_id}/routing_tables/{id}Delete a VPC routing table
GET/vpcs/{vpc_id}/routing_tables/{id}Retrieve a VPC routing table
PATCH/vpcs/{vpc_id}/routing_tables/{id}Update a VPC routing table
GET/vpcs/{vpc_id}/routing_tables/{routing_table_id}/routesList routes in a VPC routing table
POST/vpcs/{vpc_id}/routing_tables/{routing_table_id}/routesCreate a route in a VPC routing table
DELETE/vpcs/{vpc_id}/routing_tables/{routing_table_id}/routes/{id}Delete a VPC routing table route
GET/vpcs/{vpc_id}/routing_tables/{routing_table_id}/routes/{id}Retrieve a VPC routing table route
PATCH/vpcs/{vpc_id}/routing_tables/{routing_table_id}/routes/{id}Update a VPC routing table route
GET/ike_policiesList IKE policies
POST/ike_policiesCreate an IKE policy
DELETE/ike_policies/{id}Delete an IKE policy
GET/ike_policies/{id}Retrieve an IKE policy
PATCH/ike_policies/{id}Update an IKE policy
GET/ike_policies/{id}/connectionsList VPN gateway connections that use a specified IKE policy
GET/ipsec_policiesList IPsec policies
POST/ipsec_policiesCreate an IPsec policy
DELETE/ipsec_policies/{id}Delete an IPsec policy
GET/ipsec_policies/{id}Retrieve an IPsec policy
PATCH/ipsec_policies/{id}Update an IPsec policy
GET/ipsec_policies/{id}/connectionsList VPN gateway connections that use a specified IPsec policy
GET/vpn_gatewaysList VPN gateways
POST/vpn_gatewaysCreate a VPN gateway
DELETE/vpn_gateways/{id}Delete a VPN gateway
GET/vpn_gateways/{id}Retrieve a VPN gateway
PATCH/vpn_gateways/{id}Update a VPN gateway
GET/vpn_gateways/{vpn_gateway_id}/advertised_cidrsList advertised CIDRs for a VPN gateway
DELETE/vpn_gateways/{vpn_gateway_id}/advertised_cidrs/{cidr}Remove an advertised CIDR from a VPN gateway
GET/vpn_gateways/{vpn_gateway_id}/advertised_cidrs/{cidr}Check if the specified advertised CIDR exists on a VPN gateway
PUT/vpn_gateways/{vpn_gateway_id}/advertised_cidrs/{cidr}Set an advertised CIDR on a VPN gateway
GET/vpn_gateways/{vpn_gateway_id}/connectionsList connections of a VPN gateway
POST/vpn_gateways/{vpn_gateway_id}/connectionsCreate a connection for a VPN gateway
DELETE/vpn_gateways/{vpn_gateway_id}/connections/{id}Delete a VPN gateway connection
GET/vpn_gateways/{vpn_gateway_id}/connections/{id}Retrieve a VPN gateway connection
PATCH/vpn_gateways/{vpn_gateway_id}/connections/{id}Update a VPN gateway connection
GET/vpn_gateways/{vpn_gateway_id}/connections/{id}/local/cidrsList local CIDRs for a VPN gateway connection
DELETE/vpn_gateways/{vpn_gateway_id}/connections/{id}/local/cidrs/{cidr}Remove a local CIDR from a VPN gateway connection
GET/vpn_gateways/{vpn_gateway_id}/connections/{id}/local/cidrs/{cidr}Check if the specified local CIDR exists on a VPN gateway connection
PUT/vpn_gateways/{vpn_gateway_id}/connections/{id}/local/cidrs/{cidr}Set a local CIDR on a VPN gateway connection
GET/vpn_gateways/{vpn_gateway_id}/connections/{id}/peer/cidrsList peer CIDRs for a VPN gateway connection
DELETE/vpn_gateways/{vpn_gateway_id}/connections/{id}/peer/cidrs/{cidr}Remove a peer CIDR from a VPN gateway connection
GET/vpn_gateways/{vpn_gateway_id}/connections/{id}/peer/cidrs/{cidr}Check if the specified peer CIDR exists on a VPN gateway connection
PUT/vpn_gateways/{vpn_gateway_id}/connections/{id}/peer/cidrs/{cidr}Set a peer CIDR on a VPN gateway connection
GET/vpn_gateways/{vpn_gateway_id}/service_connectionsList VPN gateway service connections
GET/vpn_gateways/{vpn_gateway_id}/service_connections/{id}Retrieve a VPN gateway service connection
GET/vpn_serversList VPN servers
POST/vpn_serversCreate a VPN server
DELETE/vpn_servers/{id}Delete a VPN server
GET/vpn_servers/{id}Retrieve a VPN server
PATCH/vpn_servers/{id}Update a VPN server
GET/vpn_servers/{id}/client_configurationRetrieve client configuration
GET/vpn_servers/{vpn_server_id}/clientsList VPN clients for a VPN server
DELETE/vpn_servers/{vpn_server_id}/clients/{id}Delete a VPN client
GET/vpn_servers/{vpn_server_id}/clients/{id}Retrieve a VPN client
POST/vpn_servers/{vpn_server_id}/clients/{id}/disconnectDisconnect a VPN client
GET/vpn_servers/{vpn_server_id}/routesList VPN routes for a VPN server
POST/vpn_servers/{vpn_server_id}/routesCreate a VPN route for a VPN server
DELETE/vpn_servers/{vpn_server_id}/routes/{id}Delete a VPN route
GET/vpn_servers/{vpn_server_id}/routes/{id}Retrieve a VPN route
PATCH/vpn_servers/{vpn_server_id}/routes/{id}Update a VPN route